let notyf = new Notyf({
    duration: 5000,
    types: [{
        type: 'info',
        background: '#009ffb',
        icon: false
    }]
});

$(function () { // start of document ready:

    $('#save_the_activation_keys_btn').click(function (e) {

        $('#save_the_activation_keys_btn').hide();

        let _api_token = $.trim($('#api_token').val());
        let _aes_key = $.trim($('#aes_key').val());
        let _license_key = $.trim($('#license_key').val());
        let _runtime_token = $.trim($('#runtime_token').val());

        let sendData = {
            api_token: _api_token,
            aes_key: _aes_key,
            license_key: _license_key,
            runtime_token: _runtime_token
        }

        $.ajax({

            type: "POST",
            url: mpPanelBaseUrl + "/core/_requests/save_activation_keys.php", //we cant use routes here
            data:sendData,
            cache: false,
            timeout: 25000,
            success: function (returndata) {
                
                if (returndata == "ok") {
                    notyf.success("اطلاعات با موفقیت ذخیره شد");
                    setTimeout(function() {
                        window.location.href = mpPanelBaseUrl;
                    },200);
                    
                } else {
                    $('#save_the_activation_keys_btn').show();
                    notyf.error(returndata);
                }

            },
            error: function(e) {
                $('#save_the_activation_keys_btn').show();
                notyf.error('Error: ' + e.responseText);
            }

        });

    });


    
    $('.btn-show-keys-helper').click(function (e) {
        Swal.fire({
            title: 'دریافت توکن‌ها و کلیدهای رمزنگاری ماجوریس',
            html: '<div style="margin-bottom:10px;">وارد پنل مای اپ راکت خود شوید (my.approcket.ir) و سپس در قسمت اشتراک‌های من بروی مدیریت برنامه خود کلیک کرده و در قسمت اطلاعات محرمانه پنل تمامی توکن‌ها و کلیدها را به ترتیب در این صفحه کپی نمایید.</div><img style="width: 100%;box-shadow: 1px 1px 8px #00000040;" src="' + mpPanelBaseUrl + '/core/_dist/img/keys_helper.jpg"></img>'
        });
    });

}); //end of jqury doc ready